<template>
	<div>
        <v-container class="ma-0 pa-0" grid-list-sm>
            <v-subheader>
                {{title}}
            </v-subheader>

            <v-layout wrap>
                <v-flex v-for="campaign in campaigns" v-bind:key="campaign.id">
                    <campaign-component v-bind:portal="campaign"></campaign-component>                 
                </v-flex>
            </v-layout>
            <v-pagination 
                v-model="page"
                v-on:input="getCampaigns"
                v-bind:length="lengthPage"
                v-bind:total-visible="6"
            >

            </v-pagination>
        </v-container>
    </div>
</template>

<script type="module">
import CampaignComponent from '../../components/CampaignComponent.vue'

export default {

	data:function(){
		return{
            title:'Data Campaign',
            page:0,
            lengthPage:0,
            campaigns:[]
        }
    },
    components:{'campaign-component':CampaignComponent},
    methods:{
        async getCampaigns(){
            try{
                let response = await axios.get(`api/campaign?page=${this.page}`)
                if(response.status==200){
                    let {data} = response.data
                    let {links} = response.data
                    let {meta} = response.data
                    this.campaigns = data
                    this.page = meta.current_page
                    this.lengthPage = meta.last_page
                }
            }catch(e){
                let {response} = e.response
            }
        },        
    }
    ,mounted:function(){
        
        console.log('All Campaigns')
        this.getCampaigns()
        
	}

}
</script>

<style>

</style>